Play 框架 1.2 将支持jar包和模块的依赖性管理 - 开源中国社区
Play 框架 1.2 将支持jar包和模块的依赖性管理
红薯 2011年01月10日

Play 框架 1.2 将支持jar包和模块的依赖性管理

红薯 红薯 发布于2011年01月10日 收藏 0 评论 1

有免费的MySQL,为什么还要买? >>>  

来自 Play Framework 微博的消息称:

即将发布的 1.2 版本将支持 jar 包和模块间的依赖性管理。

例如通过 play dependencies 命令得到如下结果:

~/Desktop/scrapbook/coco $ play dependencies
~ _ _
~ _ __ | | __ _ _ _| |
~ | '_ \| |/ _' | || |_|
~ | __/|_|\____|\__ (_)
~ |_| |__/
~
~ play! 1.1-localbuild, http://www.playframework.org
~ framework ID is gbo
~
~ Resolving dependencies using /Users/guillaume/Desktop/scrapbook/coco/conf/dependencies.xml,
~
~ commons-cli->commons-cli 1.0 (from mavenCentral)
~ commons-lang->commons-lang 2.0 (from mavenCentral)
~ com.google.guava->guava r07 (from mavenCentral)
~ com.google.code.findbugs->jsr305 1.3.7 (from mavenCentral)
~ play->strike 0.1 (from playModules)
~ play->sass 1.2 (from playModules)
~ commons-cli->commons-cli 1.2 (from mavenCentral)
~
~ WARNING: These dependencies was not found and are ignored (use --verbose for details),
~
~ zenexity->tutu 1.0
~
~ Some dynamic revisions have been resolved as following,
~
~ play->sass [1.0,) will use version 1.2
~ play->play-framework [1.0,) will use version 1.1
~ commons-cli->commons-cli [1.0,) will use version 1.2
~
~ Some dependencies have been evicted,
~
~ commons-logging->commons-logging 1.0 is overriden by commons-logging->commons-logging 1.1.1
~ commons-lang->commons-lang 1.0 is overriden by commons-lang->commons-lang 2.0
~ commons-lang->commons-lang 2.5 is overriden by commons-lang->commons-lang 2.0
~ commons-cli->commons-cli 1.0 is overriden by commons-cli->commons-cli 1.2
~
~ Installing resolved dependencies,
~
~ modules/strike-0.1
~ modules/sass-1.2
~ lib/commons-cli-1.2.jar
~ lib/jsr305-1.3.7.jar
~ lib/guava-r07.jar
~ lib/commons-lang-2.0.jar
~
~ Done!
~

详情请看这里

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Play 框架 1.2 将支持jar包和模块的依赖性管理
分享
评论(1)
最新评论
0
快点发布吧,等着了。
顶部